Description

Related to deprecated ks kernel boot parameters here - https://projects.theforeman.org/issues/32486

ks= parameter supplied by "Kickstart default iPXE" template is rendered, causing RHEL9 to fail to start installation even though

inst.ks url should be supplied by the kickstart_kernel_options snippet.

kickstart_default_ipxe.erb = 

https://github.com/theforeman/foreman/blob/develop/app/views/unattended/provisioning_templates/iPXE/kickstart_default_ipxe.erb

kickstart_kernel_options.erb = 

https://github.com/theforeman/foreman/blob/develop/app/views/unattended/provisioning_templates/snippet/kickstart_kernel_options.

erb

Proposal for resolution - remove "ks=<%= ks %>" from kickstart_default_ipxe.erb line 43.  "ks=" or "inst.ks=" should then be supplied

by kickstart_kernel_options.erb

Related issues:

Related to Foreman - Bug #32486: Fedora 34 / RHEL 9 - Ignore Anaconda kernel ... Closed

Related to Foreman - Bug #34265: More Anaconda kernel boot parameters without... Closed

Related to Foreman - Bug #35682: PR #9238 breaks specific provision scenarios New

Associated revisions

Revision 0c1f4041 - 07/12/2022 04:23 PM - Garret Rumohr

Fixes #34975 - Removed ks=. is supplied by kernel options snippet (#9238)

Fixes #34975 - Removed ks= from template.  It is supplied by kernel options snippet.

Refs #34975 - Update snapshots

Co-authored-by: garret <garret@foreman8.rumohr.me>

Co-authored-by: Oleh Fedorenko <ofedoren@redhat.com>

Revision 42fd5e07 - 02/22/2023 08:11 AM - Johann Grabmann 

Refs #34975 - fix kickstart_kernel_options.erb escaping

fix for PR #9308 - for explanation see https://community.theforeman.org/t/foreman-uefi-provisioning-grub-failure/30577/5
- Related to Bug #32486: Fedora 34 / RHEL 9 - Ignore Anaconda kernel boot parameters without 'inst.' prefix added

#2 - 05/26/2022 09:12 PM - Garret Rumohr

- Related to Bug #34265: More Anaconda kernel boot parameters without 'inst.' prefix template changes added

#3 - 05/26/2022 09:19 PM - Garret Rumohr

If relevant, this was encountered on Satellite 6.10.5.1.  Not Foreman proper.

#4 - 05/27/2022 05:45 PM - Garret Rumohr

- Pull request https://github.com/theforeman/foreman/pull/9238 added

PR submitted.

https://github.com/theforeman/foreman/pull/9238

#5 - 06/02/2022 05:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#6 - 07/12/2022 04:23 PM - The Foreman Bot

- Fixed in Releases 3.4.0 added

#7 - 07/12/2022 05:01 PM - Garret Rumohr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0c1f404149973899fd458bd47d14f8db2101918c.

#8 - 07/14/2022 01:55 PM - The Foreman Bot

- Assignee set to Oleh Fedorenko

- Pull request https://github.com/theforeman/foreman/pull/9308 added

#9 - 07/20/2022 08:38 AM - The Foreman Bot

- Fixed in Releases 3.3.1 added

#10 - 10/25/2022 07:26 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9477 added

#11 - 01/04/2023 11:45 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #35682: PR #9238 breaks specific provision scenarios added

#12 - 02/22/2023 08:16 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9631 added

#13 - 03/12/2023 12:23 PM - Eric Helms

- Fixed in Releases 3.5.2 added
